Class Index | File Index

## Classes

- _global_
- Array
- fabric.Circle
- fabric.Color
- fabric.Element
- fabric.Element#cache
- fabric.Ellipse
- fabric.Group
- fabric.Image
- fabric.Intersection
- fabric.Line
- fabric.Object
- fabric.Path
- fabric.PathGroup
- fabric.Point
- fabric.Polygon
- fabric.Polyline
- fabric.Rect
- fabric.Text
- fabric.Triangle
- fabric.util
- fabric.util.array
- fabric.util.object
- fabric.util.string
- Function
- String

# Namespace fabric.util.array

Defined in: lang_array.js.

Namespace Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| fabric.util.array

Method Summary
Method Attributes | Method Name and Description
--- | ---
<static> | fabric.util.array.invoke(array, method) Invokes method on all items in a given array
<static> | fabric.util.array.max(array, byProperty) Finds maximum value in array (not necessarily "first" one)
<static> | fabric.util.array.min(array, byProperty) Finds minimum value in array (not necessarily "first" one)

Namespace Detail
fabric.util.array
Method Detail
<static> fabric.util.array.invoke(array, method)
Invokes method on all items in a given array

Parameters:
{Array} array
  Array to iterate over
{String} method
  Name of a method to invoke

<static> fabric.util.array.max(array, byProperty)
Finds maximum value in array (not necessarily "first" one)

Parameters:
{Array} array
  Array to iterate over
{String} byProperty

<static> fabric.util.array.min(array, byProperty)
Finds minimum value in array (not necessarily "first" one)

Parameters:
{Array} array
  Array to iterate over
{String} byProperty

Documentation generated by JsDoc Toolkit 2.4.0 on Thu Oct 14 2010 21:41:43 GMT-0400 (EDT)